## net.percederberg.mib.asn1.analysis
Interface Switchable

All Known Implementing Classes:
  Node

public interface Switchable

This interface specifies the method being called upon switching. See the visitor (or switch) design pattern for details on how this works.

Author:
  Per Cederberg, per@percederberg.net

Method Summary
`void` `apply(Switch sw)` Called with an object containing relevant case methods.

Method Detail

### apply

    public void apply(Switch sw)

  Called with an object containing relevant case methods. This method should be defined for all objects that are switchable, preferedly replacing it with a call to the appropriate caseXXX method.
  Parameters:
    `sw` - the switch object